/// <reference types="react" />
/**
 *
 * React hook which returns the stateful value  corresponding to the key
 * provided and a function to update it
 * @param key Key which represents the state
 */
declare function useRhinoState<T>(key: string): [T, React.Dispatch<React.SetStateAction<T>>];
export default useRhinoState;
