import * as React from 'react';
import { ProviderProps } from './create-single-rhino-state';
interface StateObject {
    [key: string]: any | (() => any);
}
interface RhinoProviderProps extends ProviderProps {
    initialStates: StateObject;
}
declare const RhinoProvider: React.FC<RhinoProviderProps>;
export declare const useStateDataList: () => StateObject;
export default RhinoProvider;
